=== debian/changelog ===
ralph (20210922.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * wait for deb in packagecloud before docker build (#3663)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Wed, 22 Sep 2021 10:39:54 +0000

ralph (20210921.3) bionic; urgency=medium

  [ Szymon Jasinski ]
  * use proper Ralph version (#3662)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 21 Sep 2021 11:40:23 +0000

ralph (20210921.2) bionic; urgency=medium

  [ Szymon Jasinski ]
  * verify github ref (#3661)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 21 Sep 2021 08:03:37 +0000

ralph (20210921.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * publish docker images the new way (#3660)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 21 Sep 2021 05:55:01 +0000

ralph (20210908.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Added property of for simcards. (#3657)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Wed, 08 Sep 2021 09:34:06 +0000

ralph (20210706.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * openstack sync - remove projects from processed provider only (#3648)
  * Intellectual property labels (#3649)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 06 Jul 2021 09:53:08 +0000

ralph (20210629.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * New transition (#3644)

  [ Szymon Jasinski ]
  * intellectual property: designs and patents (#3647)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 29 Jun 2021 08:12:49 +0000

ralph (20210615.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Fixed search list, changed filters, added new column to list_display. (#3639)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 15 Jun 2021 13:59:33 +0000

ralph (20210525.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * fix vip update event (#3636)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Tue, 25 May 2021 10:00:03 +0000

ralph (20210524.2) bionic; urgency=medium

  [ Szymon Jasinski ]
  * trigger dockerhub build when publishing new release (#3635)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Mon, 24 May 2021 11:34:41 +0000

ralph (20210524.1) bionic; urgency=medium

  [ mzdeb ]
  * Feature/update vip event support (#3608)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Mon, 24 May 2021 10:18:28 +0000

ralph (20210521.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Calculate free used accessory (#3621)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Fri, 21 May 2021 09:41:58 +0000

ralph (20210517.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * Documentation update (#3633)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Mon, 17 May 2021 08:27:16 +0000

ralph (20210513.2) bionic; urgency=medium

  [ Szymon Jasinski ]
  * push packages to packagecloud - add missing sudo (#3631)
  * docker build from packagecloud (#3632)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Thu, 13 May 2021 13:22:50 +0000

ralph (20210513.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * push packages to packagecloud (#3629)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Thu, 13 May 2021 12:08:17 +0000

ralph (20210512.1) bionic; urgency=medium

  [ Aleksander Wieckowski ]
  * Add fields to LicenceUserSerializer

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Wed, 12 May 2021 15:51:54 +0000

ralph (20210510.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Changed manufacturer and accessory_type - to be picked from table. (#3617)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Mon, 10 May 2021 14:08:32 +0000

ralph (20210507.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Label name change (#3618)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Fri, 07 May 2021 08:10:32 +0000

ralph (20210426.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * asset buyout delay months (#3625)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Mon, 26 Apr 2021 08:42:56 +0000

ralph (20210423.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * get buyout related setting from environment (#3622)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Fri, 23 Apr 2021 20:01:15 +0000

ralph (20210422.1) bionic; urgency=medium

  [ Szymon Jasinski ]
  * fix buyout ticket (#3620)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Thu, 22 Apr 2021 06:57:55 +0000

ralph (20210421.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Added a condition for the buyout ticket link.  (#3612)

  [ Szymon Jasinski ]
  * Allow buyout date change (#3619)

 -- Szymon Jasinski <szymon.jasinski@allegro.pl>  Wed, 21 Apr 2021 14:40:54 +0000

ralph (20210401.1) bionic; urgency=medium

  [ Pawel Szulc ]
  * Fix import to prevent 500 on MAC validation (#3615)
  * Remove Sentry logging for JS (#3614)

 -- Marek Bleschke <marek.bleschke@allegro.pl>  Thu, 01 Apr 2021 11:28:25 +0000

ralph (20210324.1) bionic; urgency=medium

  [ Aleksander Wieckowski ]
  * Add backoffice status - to find

 -- Marek Bleschke <marek.bleschke@allegro.pl>  Wed, 24 Mar 2021 07:08:02 +0000

ralph (20210309.1) bionic; urgency=medium

  [ lukaszkarykowski ]
  * Introducing Backoffice Accessories managment. (#3548)

  [ Aleksander Wieckowski ]
  * Add Google Tag Manager tag
  * Fix tag url

  [ Pawel Szulc ]
  * Add explicit logger
  * Reraise original error

  [ Aleksander Wieckowski ]
  * Fix unequivocal variable names
  * Fix flake8

  [ Pawel Szulc ]
  * Use arguments in logger.error and logger.warning instead of direct string formatting
  * info back to warning

 -- Pawel Szulc <pawel.szulc@allegro.pl>  Tue, 09 Mar 2021 13:14:59 +0000

ralph (20210219.1) bionic; urgency=medium

  [ Paweł Szulc ]
  * Log operational error (#3605)

 -- Pawel Szulc <pawel.szulc@allegro.pl>  Fri, 19 Feb 2021 11:36:12 +0000

ralph (20210119.1) bionic; urgency=medium

  * fix form error message format (#3600)
  * change dns api url for ip records (#3601)

 -- Marek Bleschke <marek.bleschke@allegro.pl>  Tue, 19 Jan 2021 08:11:03 +0000

ralph (20210104.1) bionic; urgency=medium

  [ Przemyslaw Bromber ]

