=== debian/rules ===
#!/usr/bin/make -f

export DH_VIRTUALENV_INSTALL_ROOT=/opt/ralph

%:
	dh $@ --with python-virtualenv

override_dh_virtualenv:
	npm install
	node_modules/bower/bin/bower --allow-root install
	node_modules/gulp/bin/gulp.js
	dh_virtualenv --python /usr/bin/python3.6 --upgrade-pip-to 19.3.1 --requirements requirements/prod.txt

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params="--ignore-missing-info" --exclude=PIL --exclude=_cffi_backend

override_dh_strip:
	dh_strip --exclude=_cffi_backend --exclude=PIL

override_dh_builddeb:
	dh_builddeb -- --no-uniform-compression
